<div class="full-height full-width flex-column" style="overflow: hidden">
  <div
    #panel
    class="full-height full-width grid-two-columns"
    style="overflow: hidden"
  >
    @if (hasSelection()) {
      <div
        #coverageChart
        [attr.data-test-element-id]="'coverage-test-case'"
        class="chart"
      ></div>
      <div
        #statusChart
        [attr.data-test-element-id]="'status-test-case'"
        class="chart"
      ></div>
      <div
        #importanceChart
        [attr.data-test-element-id]="'importance-test-case'"
        class="chart"
      ></div>
      <div
        #stepChart
        [attr.data-test-element-id]="'size-test-case'"
        class="chart"
      ></div>
    } @else {
      <div
        [attr.data-test-element-id]="'footer'"
        class="label-color font-16-px txt__semi-bold"
      >
        {{
          'sqtm-core.test-case-workspace.statistics.no-selection' | translate
        }}
      </div>
    }
  </div>
  @if (hasSelection()) {
    <div
      [attr.data-test-element-id]="'footer'"
      class="flex-fixed-size label-color font-16-px txt__semi-bold"
    >
      {{ 'sqtm-core.test-case-workspace.statistics.summary' | translate }}
      <a (click)="searchOnCriteria()">{{
        this.statistics.selectedIds.length
      }}</a>
    </div>
  }
</div>
